import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataUpcloudKubernetesPlanConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/upcloud/d/kubernetes_plan#id DataUpcloudKubernetesPlan#id}
    *
    * Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
    * If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.
    */
    readonly id?: string;
    /**
    * The name used to identify a pricing plan, e.g. `large`.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/upcloud/d/kubernetes_plan#name DataUpcloudKubernetesPlan#name}
    */
    readonly name: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/upcloud/d/kubernetes_plan upcloud_kubernetes_plan}
*/
export declare class DataUpcloudKubernetesPlan extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "upcloud_kubernetes_plan";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/upcloud/d/kubernetes_plan upcloud_kubernetes_plan} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataUpcloudKubernetesPlanConfig
    */
    constructor(scope: Construct, id: string, config: DataUpcloudKubernetesPlanConfig);
    get description(): string;
    private _id?;
    get id(): string;
    set id(value: string);
    resetId(): void;
    get idInput(): string | undefined;
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
